Bug 196105 - Xsession script should not be executable.
Summary: Xsession script should not be executable.
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-session   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL: https://redhat.com/archives/fedora-ex...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-21 03:37 UTC by Peter Gordon
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-20 16:17:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Peter Gordon 2006-06-21 03:37:31 UTC
Description of problem:
Per the discussion on fedora-extras-list, Xsession entries should be only
world-readable, and not executable. gnome-session includes
/usr/share/xsessions/gnome.desktop set with 755 permissions, but it should be 644.

Version-Release number of selected component (if applicable):
gnome-session-2.14.2-1.fc5.1

Comment 1 Peter Gordon 2006-11-19 23:50:05 UTC
Ping?

With gnome-session-2.16.0-3.fc6, this is still executable and should not be. 

Thanks.

Comment 2 Ray Strode [halfline] 2006-11-20 16:17:39 UTC
Will be fixed in tomorrow's rawhide.

I can do updates for fc6 (and fc5, I guess) if you want, too.  Just let me know.


Note You need to log in before you can comment on or make changes to this bug.